--- /dev/null
+drwxr-xr-x root/root etc/
+drwxr-xr-x root/root etc/ports/
+drwxr-xr-x root/root etc/ports/drivers/
+-rwxr-xr-x root/root etc/ports/drivers/httpup
+drwxr-xr-x root/root usr/
+drwxr-xr-x root/root usr/bin/
+-rwxr-xr-x root/root usr/bin/httpup
+-rwxr-xr-x root/root usr/bin/httpup-repgen
+drwxr-xr-x root/root usr/man/
+drwxr-xr-x root/root usr/man/man8/
+-rw-r--r-- root/root usr/man/man8/httpup-repgen.8.gz
+-rw-r--r-- root/root usr/man/man8/httpup.8.gz
--- /dev/null
+faa600a1b0349fe78b0eb463cab444df httpup
+2c36fc594ba4b565763ba7314b14c729 httpup-0.4.0k.tar.gz
--- /dev/null
+# Description: One way sync over http
+# Maintainer: CRUX System Team, core-ports at crux dot nu
+# URL: http://jw.tks6.net/files/crux/httpup_manual.html
+# Arch Maintainer: CRUX-ARM System Team, devel at crux-arm dot nu
+# Depends on: curl
+
+name=httpup
+version=0.4.0k
+release=1
+source=(http://jw.tks6.net/files/crux/${name}-$version.tar.gz httpup)
+
+build() {
+ cd $name-$version
+
+ make CXX=$CXX STRIP=$STRIP
+ mkdir -p $PKG/usr/{bin,man/man8}
+
+ cp httpup httpup-repgen $PKG/usr/bin
+ install -D -m 755 $SRC/httpup $PKG/etc/ports/drivers/httpup
+ cp *.8 $PKG/usr/man/man8
+}
--- /dev/null
+#!/bin/sh
+#
+# /etc/ports/drivers/httpup: httpup driver script for ports(8)
+#
+
+if [ $# -ne 1 ]; then
+ echo "usage: $0 <file>" >&2
+ exit 1
+fi
+
+. $1
+
+if [ -z "$ROOT_DIR" ]; then
+ echo "ROOT_DIR not set in '$1'" >&2
+ exit 2
+fi
+if [ -z "$URL" ]; then
+ echo "URL not set in '$1'" >&2
+ exit 2
+fi
+
+for REPO in $URL; do
+ PORT=`echo $REPO | sed -n '/#.*$/s|^.*#||p'`
+ httpup sync $REPO $ROOT_DIR/$PORT
+done
+
+# End of file.